#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "ftdi-emergency.h"

int done = 0;
void
stop(int sig)
{
	done++;
}

int
main(int argc, char *argv[])
{
	FE_STR *fe;

	fe = fe_init(argv[1]);
	if (fe == NULL)
		exit(2);
	signal(SIGINT, stop);
	signal(SIGQUIT, stop);
	signal(SIGTERM, stop);
	while (!done) {
		if (fe_get_status(fe) > 0) 
			printf("0x%02x\n", fe_pins(fe));
		usleep(100000);
	}
	printf("bye\n");
	fe_end(fe);
	exit(0);
}
